Subject: Re: [bitcoin-dev] SF proposal: prohibit unspendable outputs with amount=0

From: Peter Todd <[email-masked]>
Date: Thu, 7 Sep 2017 14:00:14 -0400

On Tue, Sep 05, 2017 at 11:51:45PM +0200, Jorge Timón via bitcoin-dev wrote:
> This is not a priority, not very important either.
> Right now it is possible to create 0-value outputs that are spendable
> and thus stay in the utxo (potentially forever). Requiring at least 1
> satoshi per output doesn't really do much against a spam attack to the
> utxo, but I think it would be slightly better than the current
> situation.

Given that this has a very minimal cost for spammers - just a single satoshi -
I don't think this is worth the risk of making future upgrades more complex as
other posters have brought up.

Secondly, I think we have good reason to think that things like my own TXO
commitments and Bram's related work will make UTXO growth a non-issue in the
future.

So, I'd NACK such a proposal myself.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org